﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');
@import url('miewims/footer.css');
@import url('miewims/nav-bar.css');
@import url('miewims/dropdown.css');
@import url('miewims/login.css');
@import url('miewims/tab-control.css');
@import url('miewims/modal.css');
@import url('miewims/select.css');
@import url('miewims/checkbox.css');
@import url('miewims/search-bar.css');
@import url('miewims/admin/users/UserForm.css');
@import url('miewims/admin/users/UserList.css');
@import url('miewims/table.css');
@import url('miewims/button.css');
@import url('miewims/import-user-form.css');
@import url('miewims/pages/student.css');
@import url('miewims/radio-range-selector.css');
@import url('miewims/expandable-drawer.css');
@import url('miewims/pages/student-detail.css');
@import url('miewims/goal-display.css');
@import url('miewims/pages/goal-forms.css');
@import url('miewims/pages/strategy-select.css');

html,
body {
  font-family: Nunito;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #4a565e;
}

.input-label {
  font-weight: bold;
  font-size: 12px;
  color: #033658;
}

.labeled-input {
  margin: 0.4em 0;
  width: 100%;
  border-radius: 4px;
  padding: 10px;
  border: 1px solid #d3d7df;
  box-sizing: border-box;
  color: #4a565e;
}

.input--inline {
  display: flex;
  width: 100%;
  align-items: center;
}

.input-prefix {
  display: flex;
  align-items: baseline;
  width: 100%;
  min-width: 210px;
}

.invalid-input {
  box-shadow: 4px 4px rgba(255, 215, 210, 0.7);
  border-color: #ffa99f !important;
  border-width: 2px !important;
  border-style: solid;
  border-radius: 4px;
}

.invalid-flag {
  color: #ff7c6c;
  font-weight: initial;
  display: block
}

.input--inline .invalid-flag {
  display: flex;
}

.focus-highlight:focus {
  outline: 1px dotted #000;
}

.no-focus-highlight:focus {
  outline: none;
}

.input--disabled {
  pointer-events: none;
  opacity: 0.6;
  cursor: default;
}

.w-95 {
  width: 95%;
}

.w-85 {
  width: 85%;
}

.w-115 {
  width: 115%;
}

h1,
h2,
h3,
h4 {
  color: #033658;
}


a,
.btn-link {
  color: #0366d6;
}

app {
  position: relative;
  display: flex;
  flex-direction: column;
}

.top-row {
  height: 3.5rem;
  display: flex;
  align-items: center;
  z-index: 10;
}

.main {
  flex: 1;
}

.main .top-row {
  background-color: #f7f7f7;
  border-bottom: 1px solid #d6d5d5;
  justify-content: flex-end;
}

.main .top-row>a,
.main .top-row .btn-link {
  white-space: nowrap;
  margin-left: 1.5rem;
}

.main .top-row a:first-child {
  overflow: hidden;
  text-overflow: ellipsis;
}

.content {
  padding-top: 1.1rem;
  margin-bottom: 130px;
}

.navbar-toggler {
  background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.validation-message {
  color: red;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.dashboard-container {
  height: 80vh;
}

.school-year-label {
  min-width: 175px;
}

.border-right {
  border-right: 1px solid #d3d7df;
}

.clear-right {
  clear: right;
}

a.button:hover {
  text-decoration: none;
  color: #033658;
}

@media (max-width: 767.98px) {
  .main .top-row:not(.auth) {
    display: none;
  }

  .main .top-row.auth {
    justify-content: space-between;
  }

  .main .top-row a,
  .main .top-row .btn-link {
    margin-left: 0;
  }
}

@media (min-width: 768px) {
  app {
    flex-direction: row;
  }

  .main .top-row {
    position: sticky;
    top: 0;
  }

  .navbar-toggler {
    display: none;
  }
}

#helpModalIcon:hover {
  cursor: pointer;
}

.row--large {
  margin-right: -50px;
}

.dropdown--end {
  display: flex;
  right: 0;
  left: auto;
  align-content: flex-end;
  flex-direction: column;
  min-width: 175px;
}